get
https://partner.gupshup.io/partner/app//profile/displayName
This API retrieves the current display name for a WhatsApp application.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Example
curl --location 'https://partner.gupshup.io/partner/app/{{APP_ID}}/profile/displayName' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'Response Example
{
"displayNameInfo": {
"verifiedNameStatus": "",
"requestedName":"",
"requestedNameStatus":"",
"verifiedName":""
},
"status": "success"
}Status Codes
| Status Code | Response | Comments |
|---|---|---|
| 200 | { "displayNameInfo": { "verifiedNameStatus": "", "requestedName":"", "requestedNameStatus":"", "verifiedName":"" }, "status": "success" } |
|
| 400 | { "status": "error", "message": "Invalid request parameters" } | Missing or invalid parameters |
| 401 | { "status": "error", "message": "Unauthorized" } | Invalid or missing authentication token |
| 403 | { "status": "error", "message": "Forbidden - no permissions to access resource" } | User does not have admin privileges |
| 500 | { "status": "error", "code": "INTERNAL_SERVER_ERROR", "message": "An unexpected error occurred" } | For any internal error |
Request Parameters
| Key | Description | Values | Data Type | Required/Optional | Constraints |
|---|---|---|---|---|---|
| Path Parameters | |||||
| appId | The unique identifier for the application | 57d9179b-7412-4621-bf86-57ee1962fd12 | String | Required | Must be a valid app ID |
| Request Headers | |||||
| Authorization | Partner App token for authentication | sk_JhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9 | String | Required | Must be a valid JWT token with PARTNER_APP role |